Bug 128463 - Port net-im/ejabberd/ is outdated
Summary: Port net-im/ejabberd/ is outdated
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Xin LI
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-10-29 13:30 UTC by christop
Modified: 2009-03-16 08:50 UTC (History)
0 users

See Also:


Attachments
patch-ejabberd.gz (7.98 KB, application/x-gzip)
2009-01-25 10:06 UTC, Mikle Davidkin
no flags Details
UIDs-GIDs.patch (956 bytes, patch)
2009-01-25 10:06 UTC, Mikle Davidkin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description christop 2008-10-29 13:30:01 UTC
The ejabberd port ist outdated. ejabberd 2.0.2 was released 28 Aug 2008. It would be nice when someone updates it.

Fix: 

Update the port.
Comment 1 Edwin Groothuis freebsd_committer 2008-10-29 13:30:12 UTC
Responsible Changed
From-To: freebsd-ports-bugs->shaun

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Mikle Davidkin 2009-01-25 10:06:50 UTC
I notice that ejabberd port hasn't updated for a long time and so -
prepared a new version (tested on FreeBSD 6.3 amd64 but surely will work
with lastest releases).
It fixes this PR and all others related to this port: ports/105122,
ports/127348, ports/129681.
Also i want to request port mantainership as i see current mantainer has
not time to deal with it...

Included patch for port and for UIDs and GIDs files (because of changing
ejabberd uid and gid - see PR ports/105122). Also here is notice for
UPDATING:

Affects: users of net-im/ejabberd
Reason:
  ejabberd's UID and GID have changed (PR ports/105122). Users are advised
  to check all configuration files and data in /var/spool/ejabberd to
  ensure everything has the correct owner/group.
Comment 3 christop 2009-02-03 00:53:03 UTC
Mikle Davidkin schrieb:
> I notice that ejabberd port hasn't updated for a long time and so -
> prepared a new version (tested on FreeBSD 6.3 amd64 but surely will work
> with lastest releases).
> It fixes this PR and all others related to this port: ports/105122,
> ports/127348, ports/129681.
> Also i want to request port mantainership as i see current mantainer has
> not time to deal with it...
> 
> Included patch for port and for UIDs and GIDs files (because of changing
> ejabberd uid and gid - see PR ports/105122). Also here is notice for
> UPDATING:
> 
> Affects: users of net-im/ejabberd
> Reason:
>   ejabberd's UID and GID have changed (PR ports/105122). Users are advised
>   to check all configuration files and data in /var/spool/ejabberd to
>   ensure everything has the correct owner/group.


I tested this patch and it worked for me on FreeBSD amd64 7.0 and 7.1.
Thank you very much.

Regards
	Christoph
Comment 4 dfilter service freebsd_committer 2009-03-16 08:38:44 UTC
delphij     2009-03-16 08:38:32 UTC

  FreeBSD ports repository

  Modified files:
    net-im/ejabberd      Makefile distinfo pkg-descr pkg-plist 
    net-im/ejabberd/files ejabberd.in patch-src-Makefile.in 
                          pkg-message.in 
  Added files:
    net-im/ejabberd/files patch-src::ejabberdctl.template 
                          pkg-install.in 
  Removed files:
    net-im/ejabberd      pkg-install 
    net-im/ejabberd/files ejabberd.defaults ejabberd.inetrc 
                          ejabberd.sh.in patch-ejab-446.diff 
                          patch-src::mod_last.erl 
  Log:
  Update to 2.0.3.
  
  Submitted by:   "Mikle Davidkin" <skylord linkline ru>
  PR:             128463
  Approved by:    maintainer timeout
  
  Revision  Changes    Path
  1.28      +10 -22    ports/net-im/ejabberd/Makefile
  1.12      +3 -3      ports/net-im/ejabberd/distinfo
  1.2       +0 -13     ports/net-im/ejabberd/files/ejabberd.defaults (dead)
  1.3       +78 -34    ports/net-im/ejabberd/files/ejabberd.in
  1.2       +0 -3      ports/net-im/ejabberd/files/ejabberd.inetrc (dead)
  1.5       +0 -75     ports/net-im/ejabberd/files/ejabberd.sh.in (dead)
  1.2       +0 -14     ports/net-im/ejabberd/files/patch-ejab-446.diff (dead)
  1.5       +27 -16    ports/net-im/ejabberd/files/patch-src-Makefile.in
  1.1       +35 -0     ports/net-im/ejabberd/files/patch-src::ejabberdctl.template (new)
  1.2       +0 -20     ports/net-im/ejabberd/files/patch-src::mod_last.erl (dead)
  1.1       +38 -0     ports/net-im/ejabberd/files/pkg-install.in (new)
  1.2       +10 -10    ports/net-im/ejabberd/files/pkg-message.in
  1.3       +21 -19    ports/net-im/ejabberd/pkg-descr
  1.5       +0 -35     ports/net-im/ejabberd/pkg-install (dead)
  1.12      +70 -24    ports/net-im/ejabberd/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Xin LI freebsd_committer 2009-03-16 08:38:55 UTC
State Changed
From-To: open->closed

Patch committed (with slight changes to make ODBC's pkg-plist 
correct and make the diff minimal), thanks! 


Comment 6 Xin LI freebsd_committer 2009-03-16 08:38:55 UTC
Responsible Changed
From-To: shaun->delphij

Grab.
Comment 7 dfilter service freebsd_committer 2009-03-16 08:46:07 UTC
delphij     2009-03-16 08:45:58 UTC

  FreeBSD ports repository

  Modified files:
    .                    GIDs UIDs UPDATING 
  Log:
  Reflect the change of UID/GID of ejabberd.
  
  PR:             ports/128463
  Submitted by:   "Mikle Davidkin" <skylord linkline ru>
  
  Revision  Changes    Path
  1.69      +2 -2      ports/GIDs
  1.80      +2 -2      ports/UIDs
  1.789     +9 -1      ports/UPDATING
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"